aboutsummaryrefslogtreecommitdiffstats
path: root/testing/raptor2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-02-05 10:55:51 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-02-05 10:55:51 +0000
commitaf13268526a7de6856b3658432de303d984d394c (patch)
treedffe44895198ca511fb6299b2f8be3ca1288c217 /testing/raptor2/APKBUILD
parent06bc4fe15354bca25c8f0a0795bc6b3b469dff2a (diff)
downloadaports-af13268526a7de6856b3658432de303d984d394c.tar.gz
aports-af13268526a7de6856b3658432de303d984d394c.tar.bz2
aports-af13268526a7de6856b3658432de303d984d394c.tar.xz
testing/raptor2: new aport
RDF parser toolkit for Redland http://www.librdf.org/raptor
Diffstat (limited to 'testing/raptor2/APKBUILD')
-rw-r--r--testing/raptor2/APKBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/testing/raptor2/APKBUILD b/testing/raptor2/APKBUILD
new file mode 100644
index 0000000000..0ce17bd92d
--- /dev/null
+++ b/testing/raptor2/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=raptor2
+pkgver=2.0.6
+pkgrel=0
+pkgdesc="RDF parser toolkit for Redland"
+url="http://www.librdf.org/raptor"
+arch="all"
+license="GPL"
+depends=
+depends_dev="curl-dev libxml2-dev libxslt-dev yajl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://download.librdf.org/source/raptor2-$pkgver.tar.gz"
+
+_builddir="$srcdir"/raptor2-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="1f07af81cbe3cf1bf0d1d250b18d9f93 raptor2-2.0.6.tar.gz"